Name:           seivot
Version:        1.18
Release:        5%{?dist}
Summary:        Benchmarking tool for backup programs

License:        GPLv3+
URL:            http://liw.fi/%{name}/
Source0:        http://code.liw.fi/debian/pool/main/s/%{name}/%{name}_%{version}.orig.tar.gz

BuildArch:      noarch
BuildRequires:  python-cliapp
Requires:       python-cliapp
Requires:       genbackupdata
Requires:       summain

%description
Seivot is a program for benchmarking backup software. It was written
for developing Obnam, but it should be possible to adapt it to also
support other on-disk backup solutions, such as rsync or rdiff-backup.


%prep
%setup -q


%build
%{__python} setup.py build
# Generate manpages
make


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# install manpages
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -pr seivot*.1 %{buildroot}%{_mandir}/man1/


%check
%if ! (0%{?rhel} && 0%{?rhel} <= 6)
# doesn't actually do anything at the moment
%{__python} setup.py check
%endif


%files
%doc COPYING NEWS README
%{_mandir}/man1/seivot*.1*
%{_bindir}/seivot*
%{python_sitelib}/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 1.18-1
- Update to 1.18

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Michel Salim <salimma@fedoraproject.org> - 1.17-1
- Update to 1.17

* Thu Jun  7 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-2
- Remove deprecated %%{python_sitelib} definition
- Include seivots-to-csv script

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-1
- Initial package
